<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>R-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>
<div class="block">Abstract method use to read data</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ExternPersonDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/ExternPersonDAO.html" title="class in model.DAO">ExternPersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PermissionDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/PermissionDAO.html" title="class in model.DAO">PermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PersonDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/PersonDAO.html" title="class in model.DAO">PersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RoleDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/StatusDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/UserDAO.html#read(java.lang.String)">read(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/UserDAO.html" title="class in model.DAO">UserDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#readWithPermission(java.lang.String,java.lang.String)">readWithPermission(String, String)</a></span> - Method in class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>
<div class="block">Get a role permission from the database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>
<div class="block">Get all the call data</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>
<div class="block">Abstract method use to get all data</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ExternPersonDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/ExternPersonDAO.html" title="class in model.DAO">ExternPersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PermissionDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/PermissionDAO.html" title="class in model.DAO">PermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PersonDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/PersonDAO.html" title="class in model.DAO">PersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RoleDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/StatusDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/UserDAO.html#recupAll()">recupAll()</a></span> - Method in class model.DAO.<a href="../model/DAO/UserDAO.html" title="class in model.DAO">UserDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#recupAllDate(java.lang.String)">recupAllDate(String)</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>
<div class="block">Get all the call data</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#recupAllDate(java.sql.Date)">recupAllDate(Date)</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>
<div class="block">Get all the call data</div>
</dd>
<dt><a href="../model/classes/Role.html" title="class in model.classes"><span class="typeNameLink">Role</span></a> - Class in <a href="../model/classes/package-summary.html">model.classes</a></dt>
<dd>
<div class="block">Role class is used to instance object representing the role of a user</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Role.html#%3Cinit%3E(int,java.lang.String)">Role(int, String)</a></span> - Constructor for class model.classes.<a href="../model/classes/Role.html" title="class in model.classes">Role</a></dt>
<dd>
<div class="block">Constructor of the Role class</div>
</dd>
<dt><a href="../model/DAO/RoleDAO.html" title="class in model.DAO"><span class="typeNameLink">RoleDAO</span></a> - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">RoleDAO, inherits DAO class, is used to get role data from database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RoleDAO.html#%3Cinit%3E()">RoleDAO()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/classes/RolePermission.html" title="class in model.classes"><span class="typeNameLink">RolePermission</span></a> - Class in <a href="../model/classes/package-summary.html">model.classes</a></dt>
<dd>
<div class="block">RolePermission class is used to instance object representing the association of a role and a permission</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/RolePermission.html#%3Cinit%3E(model.classes.Role,model.classes.Permission)">RolePermission(Role, Permission)</a></span> - Constructor for class model.classes.<a href="../model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></dt>
<dd>
<div class="block">Constructor of the RolePermission class</div>
</dd>
<dt><a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO"><span class="typeNameLink">RolePermissionDAO</span></a> - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">RolePermissionDAO, inherits DAO class, is used to get role permission data from database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#%3Cinit%3E()">RolePermissionDAO()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
